version 12
set more off
adopath + ../external/lib/stata/gslab_misc/ado
preliminaries

program main
    build_jan_sample
    build_event_sample
end

program build_jan_sample
    insheet using ../external/jan_phats/bc_phats_test.csv, clear
    save ../temp/jan_phats, replace
    use ../external_links/jan/1jan2008.dta, clear
    merge 1:1 bene_id using ../temp/jan_phats.dta, ///
      assert(1 3) keep(3) keepusing(phat mort) nogen
    save ../output/jan_sample, replace
end

program build_event_sample
    insheet using ../external/event_phats_30/bc_phats_test.csv, clear
    rename mort mort30
    rename phat phat30
    save ../temp/event_phats_30, replace
    insheet using ../external/event_phats/bc_phats_test.csv, clear
    save ../temp/event_phats, replace
    use ../external_links/event/event2008.dta, clear
    merge 1:1 bene_id using ../temp/event_phats.dta, ///
      assert(1 3) keep(3) keepusing(phat mort) nogen
    merge 1:1 bene_id using ../temp/event_phats_30, ///
      assert(3) keep(3) keepusing(phat30 mort30) nogen
    keep bene_id t0 age days_t0_to_death sdob sdod mort* race sex mcaid ///
      state_de county_de zipcode hrrnum year mort phat mort30 phat30
    save ../output/event_sample, replace
end

* EXECUTE
main
