rm(list=ls())
library(SuperLearner)
library(foreign)

dta <- read.dta("../external_links/event30/allfolds.dta")
y <- dta$mort
x <- subset(dta, select = -c(bene_id, mort))

set.seed(1)

sl <- SuperLearner(Y=y, X=x, SL.library = "SL.glmnet")

save(sl, file="../output/glmnet.RData")

myTestPred <- function(file, newfile) {
    load("../output/glmnet.RData")
    test <- read.dta(file)
    ytest <- test$mort
    btest <- test$bene_id
    xtest <- subset(test, select = -c(bene_id, mort))
    pred <- predict(sl, newdata=xtest, onlySL=FALSE)
    pred.mort <- data.frame(bene_id = btest, phat = pred$pred, mort = ytest)
    newfile.csv <- paste(newfile, ".csv", sep="")
    write.csv(pred.mort, file=newfile.csv, row.names=FALSE)
}

myTestPred("../external_links/event30/test.dta", "../output/glmnet-test")
myTestPred("../temp/ensemble-b-fit-sample.dta", "../output/glm-ensemble-b-fit")
myTestPred("../temp/calibrate-balanced.dta", "../output/glm-calibrate-balanced")
