version 12
set more off
adopath + ../external/lib/stata/gslab_misc/ado
adopath + ../external/lib/stata/ado
preliminaries
set maxvar 32767, perm
set emptycells drop, perm
set matsize 11000, perm

program main 
    get_r
    fit_calibrating_cubic
    calibrate
end

program get_r
    use mort using ../external_links/event/train, clear
    su mort
    global r = 1/r(mean)-1
end

program fit_calibrating_cubic
    use ../output/phats_ensemble_calibrate_balanced, clear
    gen phat = phat_ensemble
    egen g = cut(phat), group(50)
    collapse (mean) mort phat, by(g)
    gen p = phat
    gen p2 = p^2
    gen p3 = p^3
    reg mort p p2 p3
end

program calibrate
    use ../output/phats_ensemble, clear
    gen phat = phat_ensemble
    gen p = phat
    gen p2 = p^2
    gen p3 = p^3
    predict c_phat, xb
    replace c_phat = 0 if c_phat < 0  // recode 875 benes to have phat = 0
    gen bc_phat = c_phat/($r-($r-1)*c_phat)
    egen g = cut(bc_phat), group(50)
    drop phat
    ren bc_phat phat
    outsheet bene_id mort phat using ../output/bc_phats_test.csv, comma replace   
end


*EXECUTE
main
