rm(list=ls())
library(SuperLearner)
library(foreign)

dta <- read.dta("../external_links/jan/allfolds.dta")
y <- dta$mort
x <- subset(dta, select = -c(bene_id, mort))

set.seed(1)

sl <- SuperLearner(Y=y, X=x, SL.library = "SL.xgboost")

save(sl, file="../output/xgboost.RData")

myTestPred <- function(file, newfile) {
    load("../output/xgboost.RData")
    test <- read.dta(file)
    ytest <- test$mort
    btest <- test$bene_id
    xtest <- subset(test, select = -c(bene_id, mort))
    pred <- predict(sl, newdata=xtest, onlySL=FALSE)
    pred.mort <- data.frame(bene_id = btest, phat = pred$pred, mort = ytest)
    newfile.csv <- paste(newfile, ".csv", sep="")
    write.csv(pred.mort, file=newfile.csv, row.names=FALSE)
}

for (d in 1:10) {
    file <- paste("../external_links/jan/test", d, ".dta", sep="")
    newfile <- paste("../output/xgboost_pred", d, sep="")
    myTestPred(file, newfile)
}

myTestPred("../temp/ensemble-b-fit-sample.dta", "../output/xgb-ensemble-b-fit")
myTestPred("../temp/calibrate-balanced.dta", "../output/xgb-calibrate-balanced")
