version 12
set more off
adopath + ../external/lib/stata/gslab_misc/ado
adopath + ../external/lib/stata/ado
preliminaries
set maxvar 32767, perm
set emptycells drop, perm
set matsize 11000, perm

program main 
    split_ensemble
    split_ensemble_balanced
    split_calibration
end

program split_ensemble
    use ../external_links/jan/calibrate, clear
    set seed 99
    gen u = runiform()
    keep if u < .25
    drop u
    saveold ../temp/ensemble-fit-sample, replace v(12)
end

program split_ensemble_balanced
    use ../temp/ensemble-fit-sample, clear
    set seed 42
    gen u =runiform()
    gen keep = mort == 1
    count if mort == 1
    sort mort u
    replace keep = 1 in 1/`r(N)'
    keep if keep == 1
    drop keep u
    saveold ../temp/ensemble-b-fit-sample, replace v(12)
end

program split_calibration
    use ../external_links/jan/calibrate, clear
    merge 1:1 bene_id using ../temp/ensemble-fit-sample, ///
        assert(1 3) keep(1) nogen
    saveold ../temp/calibrate, replace v(12)
    count if mort == 1
    set seed 999
    gen u = runiform()
    gen keep = mort == 1
    sort mort u
    replace keep = 1 in 1/`r(N)'
    keep if keep == 1
    drop keep u
    saveold ../temp/calibrate-balanced, replace v(12)
end

*EXECUTE
main
