rm(list=ls())
library("randomForest")
library("foreign")

auc <- function(forest, fold) {
    load(paste("../output/", forest, ".RData", sep=""))

    dta <- read.dta(paste("../external_links/jan/fold", fold, ".dta", sep=""))
    phat <- predict(rf, newdata=dta)
    d <- data.frame(bene_id=dta$bene_id, mort=dta$mort, phat=phat)
    write.csv(d, file=paste("../output/phats_", forest, ".csv", sep=""))

    pos <- d$phat[d$mort==1]
    neg <- d$phat[d$mort==0]
    set.seed(1)
    p = replicate(500000, sample(pos, size=1) > sample(neg, size=1))
    return(mean(p))  
}
