rm(list=ls())
library("SuperLearner")
library("foreign")

auc <- function(model, fold) {
    load(paste("../output/", model, ".RData", sep=""))

    dta <- read.dta(paste("../external_links/jan/fold", fold, ".dta", sep=""))
    x <- subset(dta, select = -c(bene_id, mort))
    pred <- predict(sl, newdata=x)
    phat <- pred$pred
    d <- data.frame(bene_id=dta$bene_id, mort=dta$mort, phat=phat)
    write.csv(d, paste("../output/phats_", model, ".csv", sep=""))

    pos <- d$phat[d$mort==1]
    neg <- d$phat[d$mort==0]
    set.seed(1)
    p = replicate(500000, sample(pos, size=1) > sample(neg, size=1))
    return(mean(p))  
}

#pred_rocr <- ROCR::prediction(ptune, dtune$mort)
#auc <- ROCR::performance(pred_rocr, measure = "auc", x.measure = "cutoff")@y.values[[1]]
