rm(list=ls())
library(SuperLearner)
library(foreign)
args = commandArgs(trailingOnly = "TRUE")
f <- as.numeric(args[1])
t <- as.numeric(args[2])
d <- as.numeric(args[3])
e <- 0.1

file <- paste("../external_links/jan/train-less-fold",f,".dta",sep="")
dta <- read.dta(file)
y <- dta$mort
x <- subset(dta, select = -c(bene_id, mort))

tune = list(ntrees = t, max_depth = d, shrinkage = e)

learners = create.Learner("SL.xgboost", tune = tune, detailed_names = T, name_prefix = "xgb")

set.seed(1)
sl <- SuperLearner(Y=y, X=x, SL.library = c(learners$names))

save(sl, file=paste("../output/xgb_train-less-fold",f,"_",t,"_",d,"_",e,".RData",sep=""))
