version 12
set more off
adopath + ../external/lib/stata/gslab_misc/ado
preliminaries

program main
    foreach y in "08" {
        foreach h in 7 365 {
            prep_back `h' `y'
            merge_w_backfill_pat `h' `y'
        }
        merge_w_backfill_visit 365 `y'
    }
end

program prep_back
    args h y
    use ../external/backfill/backfill_ip_visits_days_prcdrs`h'_`y'.dta, clear
    rename icu_visits num_icu_visits
    foreach var in num_visits num_ip_days num_icu_visits {
        rename `var' back_`var'
    }
    save ../temp/backfill_pat_h`h'_y20`y'.dta, replace
end

program merge_w_backfill_pat
    args h y
    use ../external/visits/ip_visits_days_prcdrs`h'_`y'.dta, clear
    foreach var of varlist num_visits num_ip_days num_icu_visits {
        assert !mi(`var')
    }
    merge 1:1 bene_id using ../temp/backfill_pat_h`h'_y20`y'.dta, ///
        assert(match) keep(match) nogen
    foreach var in num_visits num_ip_days num_icu_visits {
        gen `var'_backfilled = `var' + back_`var'
    }
    save_data ../output/ip_visits_days_prcdrs_backfilled_h`h'_y20`y'.dta, key(bene_id) replace ///
        log(../output/data_file_manifest.log)
end

program merge_w_backfill_visit
    args h y
    use ../external/ip_visits/ip_visits_20`y', clear
    append using ../external/backfill/backfill_ip_visits`h'_`y'.dta
    save ../output/ip_visits_backfilled_20`y'.dta, replace
end

* EXECUTE
main
