/***************************************************************************************************
 *
 * BUILD.DO
 * This code will take in the CSV HCC score files and transfer them to STATA
 **************************************************************************************************/

version 12
set more off
adopath + ../external/lib/stata/gslab_misc/ado

program main

    forval year = 2007/2007 {
        insheet using ../temp/hcc_score_20_`year'.csv, clear names
        renvars, lowcase

        *keep bene_id score_community score_institutional score_new_enrollee score_snp_new_enrollee
        gen year = `year'

        save ../temp/score_`year', replace
    }

    use ../temp/score_2007, clear
	erase "../temp/hcc_score_20_2007.csv"
	erase "../temp/score_2007.dta"
    sort bene_id year

    save ../output/HCC_y08.dta, replace
end

main
