#! /usr/bin/env python
#****************************************************
# GET LIBRARY - Do not modify this section
#****************************************************
import os
import smtplib
from gslab_make.get_externals import *
from gslab_make.get_externals_github import *
from gslab_make.make_links import *
from gslab_make.make_link_logs import *
from gslab_make.make_log import *
from gslab_make.run_program import *
from gslab_make.dir_mod import *

#****************************************************
# MAKE.PY STARTS
#****************************************************
set_option(link_logs_dir = '../output/')
clear_dirs( '../output/', '../temp/',\
            '../external/', '../external_links/')
start_make_logging()

# GET_EXTERNALS
get_externals('externals.txt')

# MAKE_LINKS
make_links('./links.txt')
make_link_logs('./links.txt')

# BUILD.DO
run_stata(program = 'build.do')

# CHECK DTA (AND CSV, TXT FILES) IN MANIFEST LOG
check_manifest()

end_make_logging()

sender = 'econjarvis@gmail.com'
receiver = 'arussell@povertyactionlab.org'
message = '\r\n'.join(['From: econjarvis@gmail.com', \
    'To: arussell@povertyactionlab.org', \
    'Subject: Good day. Your Inpatient code has completed', \
    '', \
    'Do you need anything else?'])
username = 'econjarvis@gmail.com'
password = 'econjarvis123'
server = smtplib.SMTP('smtp.gmail.com:587')
server.ehlo()
server.starttls()
server.login(username,password)
server.sendmail(sender,receiver,message)
server.quit()

raw_input('\n Press <Enter> to exit.')
