version 12
set more off
adopath + ../external/lib/stata/gslab_misc/ado
preliminaries

program main

    global chronic_conditions ami alzh alzhdmta atrialfb cataract chrnkidn copd chf diabetes ///
      glaucoma hipfrac ischmcht depressn osteoprs ra_oa strketia cncrbrst cncrclrc cncrprst ///
      cncrlung cncrendm anemia asthma hyperl hyperp hypert hypoth

    prep_chronic, year(2007)
    merge_chronic, data(../external_links/jan/1jan2008) year(08)

    prep_chronic, year(2010)
    merge_chronic, data(../external_links/jan/1jan2011) year(11)

end

program prep_chronic
    syntax, year(string)
    use ../external_links/chronic/ChronicCondition, clear
    keep if year==`year'
    save ../temp/chronic, replace
end

program merge_chronic
   syntax, data(string) year(string)
   use bene_id using `data', clear
   merge 1:1 bene_id using ../temp/chronic, ///
     assert(1 3) keep(1 3) keepusing($chronic_conditions) nogen
    foreach v of varlist $chronic_conditions {
        replace `v' = `v'==3
    }
    save_data ../output/chronic_y`year', key(bene_id) replace
end

* EXECUTE
main
