version 12
set more off
adopath + ../external/lib/stata/gslab_misc/ado
preliminaries

program main
    define_mortality
end

program define_mortality
    use ../external_links/jan/1jan2008, clear
    keep bene_id sdod mort365 t0
    foreach y in 08 09 10 11 12 13 14 {
        merge 1:1 bene_id using ../external/denom/bsfab20`y', ///
          assert(1 2 3 4 5) keep(1 3 4 5) keepusing(death_dt) update nogen
    }
    replace sdod = death_dt if sdod==.
    gen days_to_death = sdod - t0
    forvalues i = 1/5 {
        gen mort_y`i' = days_to_death < `i' * 365
    }
    keep bene_id sdod mort_y*
    save ../output/yearly_mortality, replace
end

* EXECUTE
main
    
