version 12
set more off
adopath + ../external/lib/stata/gslab_misc/ado
preliminaries

program main
    clean_bsfcc_data
    compile_bsfcc_data
end

program clean_bsfcc_data
    forval year = 1999 (1) 2011 {
        use ../external/bsfcc/`year'/bsfcc`year', clear
        duplicates drop bene_id, force
        gen year=`year'
        save ../temp/bsfcc`year', replace
    }
end


program compile_bsfcc_data
    use ../temp/bsfcc1999, clear
    forval year = 2000 (1) 2011 {
        append using  ../temp/bsfcc`year'
    }
    
    save_data ../output_local/ChronicCondition.dta, ///
        replace key(bene_id year) log("../output/data_file_manifest.log")
end

* EXECUTE
main

