***************************************************************************************************;
* MAKE.SAS
* This file calls on macros to make the four crosswalks
*   BENE_ID - EHIC
*   PHYS_ID - SPECIALTY
***************************************************************************************************;

** ALL DIRECTORIES LIVE HERE -- READS IN DIRECTORIES for the 20 pct Extract;
** We use the 20 pct extract because that encompasses more claims than the 05 pct;
options pagesize=200;
options nocenter;
** These options create detalied log files;
options mprint mlogic;
options spool;
options errorabend;
options msglevel=i;
options notes stimer fullstimer;
options formdlim=" ";
options mergenoby=error;
options filelocks=none;

*Carrier libraries;
libname carIn "../external/carrier";
libname ipIn "../external/inpatient";
libname opIn "../external/outpatient";
libname bene "../external/bene";

libname tempDir "../temp";
libname outDir "../output_local";

** load file containing various simple macros that make programming easier;
%include "./SASmacros/UtilityMacros.sas";
%include "./SASmacros/GenUpinNpiList.sas";

%let obs_num = max;

** Run Macro to Generate UPIN_NPI List;
%GenUpinNpiList(startyear=1998, endyear=2012);

** Output Ehic-Bene_Id Crosswalk to .csv;
proc export data=bene.ehicbenex_unique
    outfile="../output_local/Ehic_BeneId.csv"
    dbms=csv
    replace;
run;

