

%macro decompressDenom(yr=,pct=,outdir=,outlib=,dflag=);
    %if &yr.<=2005 %then %do;
        %let dtyp=den;
        %end;
    %else %if &yr.>=2009 %then %do;
        %let dtyp=bsf;
        %end;
    %else %if &yr.>=2006 and &yr.<=2008 %then %do;
        %let dtyp=den;
        %end;
    %if &yr. >= 1992 and &yr. <= 2008 %then %do;
    ** Check if files exist;
        %if not %sysfunc(fileexist("&outdir./denom&pct._&yr._all.sas7bdat")) %then %do;
            x "rm &outdir./den*&pct._&yr.* -f ";
        ** Determines the number of parts each file has for Denom files;
            %DetermineMax(datadir=&dataroot.,pct=&pct,ftype=&dtyp.,year=&yr.,subtype=,pctsuffix=);
            %do z=1 %to &num_file.;
                %decompress_i(spaceDir=&outdir.,dataRoot=&dataRoot.,ftype=&dtyp.,pct=&pct.,year=&yr.,indx=&z.);

                proc append base=&outlib..denom&pct._&yr.
                            data=&outlib..&dtyp.&pct._&yr._&z. force;
                run;
                x "rm &outdir./&dtyp.&pct._&yr._&z.* -f ";
                %end;
            x "mv &outdir./denom&pct._&yr..sas7bdat &outdir./denom&pct._&yr._all.sas7bdat -f ";
            %end;
        %end;
    %else %if &yr. = 2009 %then %do;

    ** Check if files exist;
        %if not %sysfunc(fileexist("&outdir./denom&pct._&yr._all.sas7bdat")) %then %do;
            x "rm &outdir./bsfab&yr.* -f ";
            x "st &dataRoot./&pct.pct/bsf/&yr/bsfab2009.dta &outdir./denom&pct._&yr._all.sas7bdat -Y ";
        %end;
    %end;
    %else %if &yr. >= 2010 %then %do;
    ** Check if files exist;
        %if not %sysfunc(fileexist("&outdir./denom&pct._&yr._all.sas7bdat")) %then %do;
            x "rm &outdir./bsfab&yr.* -f ";
            x "cp &dataRoot./&pct.pct/bsf/&yr/bsfab&yr..sas7bdat &outdir./bsfab&yr..sas7bdat -f ";
            x "mv &outdir./bsfab&yr..sas7bdat &outdir./denom&pct._&yr._all.sas7bdat -f ";
            x "rm &outdir./bsfab&yr.* -f ";
        %end;
    %end;
%mend;




/*OLD CODE
macro decompressDenom(yr=,pct=,outdir=,outlib=,dflag=);

    %let ftype = den;
    %if &yr. >= 1992 %then %do;

    ** Check if files exist;
        %if not %sysfunc(fileexist("&spDenom./denom&pct._&yr._all.sas7bdat")) %then %do;
            x "rm &outdir./den*&pct._&yr.* -f ";
        ** Determines the number of parts each file has for Denom files;
            %DetermineMax(datadir=&dataroot.,pct=&pct,year=&yr., ftype=den, subtype=,pctsuffix=);
            %do z=1 %to &num_file.;
                %decompress_i(spaceDir=&spDenom.,dataRoot=&dataRoot., ftype=den, pct=&pct.,year=&yr.,indx=&z.);
                proc append base=&spDenom..denom&pct._&yr.
                            data=&spDenom..den&pct._&yr._&z. force;
                run;
                x "rm &spDenom./denom&pct._&yr._&z.* -f ";
                %end;
            x "mv &spDenom./denom&pct._&yr..sas7bdat &spDenom./denom&pct._&yr._all.sas7bdat -f ";
            %end;
        %end;
mend;
*/
